Bug 15668 - eepro100 - Invalid EEPROM checksum error
eepro100 - Invalid EEPROM checksum error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Winston gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 13:46 EDT by John Cagle
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 23:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -v (2.12 KB, text/plain)
2000-08-07 13:48 EDT, John Cagle
no flags Details

  None (edit)
Description John Cagle 2000-08-07 13:46:56 EDT
Using a Compaq NC3123 NIC installed in a PCI slot of a DeskPro EN/SFF. 
This NIC uses the Intel 82559 controller.  It appears that the eepro100
driver cannot properly detect and configure the card, but the e100 driver
can.

When using the standard eepro100 driver:
=================================
eth1: Invalid EEPROM checksum 0xff00, check settings before activating this
device!
eth1: OEM i82557/i82558 10/100 Ethernet, FF:FF:FF:FF:FF:FF, IRQ 10.
  Receiver lock-up bug exists -- enabling work-around.
  Board assembly ffffff-255, Physical connectors present: RJ45 BNC AUI MII
  Primary interface chip unknown-15 PHY #31.
    Secondary interface chip i82555.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).

ifconfig shows:
----------
eth1      Link encap:Ethernet  HWaddr FF:FF:FF:FF:FF:FF
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0xb000

When using the e100 driver (Intel wrote):
=================================
e100 - Intel(R) 8255x-based Ethernet
Copyright 2000 Intel Corp.
Board Number = 1, Mem:0x42100000  IRQ:10  Speed:0 Mbps  Dx:N/A
     Failed to detect cable link.
     Speed and duplex determined at time of connection.
Hardware receive checksums enabled

ifconfig shows:
----------
eth1      Link encap:Ethernet  HWaddr 00:50:8B:0D:F2:3D
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0xffc0 Memory:c487d000-c487d900
Comment 1 John Cagle 2000-08-07 13:48:55 EDT
Created attachment 2215 [details]
Output of lspci -v
Comment 2 Michael K. Johnson 2000-08-07 21:13:02 EDT
The e100 driver will be included in Winston.
Comment 3 Glen Foster 2000-08-08 11:22:09 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 4 Michael K. Johnson 2000-08-08 23:10:26 EDT
John, did the kernel we gave you fix this bug as well?
Comment 5 John Cagle 2000-08-09 20:17:43 EDT
Single Unit Failure -- flaky eeprom...   Sorry.

Note You need to log in before you can comment on or make changes to this bug.